Bug 1128732 - Improve JGroups SASL documentation
Summary: Improve JGroups SASL documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 6.3.0
Assignee: gsheldon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:41 UTC by Vojtech Juranek
Modified: 2014-09-09 01:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 01:13:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Vojtech Juranek 2014-08-11 12:41:17 UTC
It seems, that JGroups SASL configuration is little bit misleading for users. The documentation should stress that CallbackHandler classes have to be implemented/provided by users and the class names are just examples, which are not contained in JDG release.

Comment 2 dereed 2014-08-11 20:35:20 UTC
The doucumentation should also clearly explain what's needed to implement the class (for example a full description of the API that must be implemented).

Comment 3 Misha H. Ali 2014-08-11 23:11:21 UTC
Gemma, could you please focus on this bug as the priority? I'd like to release this ASAP once we have sign off from the relevant stakeholders.

Comment 5 gsheldon 2014-08-12 06:24:36 UTC
Adding Needinfo Vojtech for review.

Comment 9 gsheldon 2014-08-21 05:43:41 UTC
setting needinfo for QA ack.


Note You need to log in before you can comment on or make changes to this bug.